Package org.flowable.engine.delegate.event.impl

# Class FlowableVariableEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableVariableEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableProcessEngineEvent`, `FlowableVariableEvent`

public class FlowableVariableEventImpl extends FlowableProcessEventImpl implements FlowableVariableEvent
Implementation of `FlowableVariableEvent`.

Author:
  Frederik Heremans

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `taskId`
  `protected String`
  `variableInstanceId`
  `protected String`
  `variableName`
  `protected VariableType`
  `variableType`
  `protected Object`
  `variableValue`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableVariableEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTaskId()`
  `String`
  `getVariableInstanceId()`
  `String`
  `getVariableName()`
  `VariableType`
  `getVariableType()`
  `Object`
  `getVariableValue()`
  `void`
  `setTaskId(String taskId)`
  `void`
  `setVariableInstanceId(String variableInstanceId)`
  `void`
  `setVariableName(String variableName)`
  `void`
  `setVariableType(VariableType variableType)`
  `void`
  `setVariableValue(Object variableValue)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### variableName

    protected String variableName

  - ### variableValue

    protected Object variableValue

  - ### variableType

    protected VariableType variableType

  - ### taskId

    protected String taskId

  - ### variableInstanceId

    protected String variableInstanceId

- ## Constructor Details

  - ### FlowableVariableEventImpl

    public FlowableVariableEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getVariableName

    public String getVariableName()
    Specified by:
      `getVariableName` in interface `FlowableVariableEvent`
    Returns:
      the name of the variable involved.

  - ### setVariableName

    public void setVariableName(String variableName)

  - ### getVariableValue

    public Object getVariableValue()
    Specified by:
      `getVariableValue` in interface `FlowableVariableEvent`
    Returns:
      the current value of the variable.

  - ### setVariableValue

    public void setVariableValue(Object variableValue)

  - ### getVariableType

    public VariableType getVariableType()
    Specified by:
      `getVariableType` in interface `FlowableVariableEvent`
    Returns:
      The `VariableType` of the variable.

  - ### setVariableType

    public void setVariableType(VariableType variableType)

  - ### getTaskId

    public String getTaskId()
    Specified by:
      `getTaskId` in interface `FlowableVariableEvent`
    Returns:
      the id of the task the variable has been set on.

  - ### setTaskId

    public void setTaskId(String taskId)

  - ### getVariableInstanceId

    public String getVariableInstanceId()
    Specified by:
      `getVariableInstanceId` in interface `FlowableVariableEvent`
    Returns:
      the id of the variable instance.

  - ### setVariableInstanceId

    public void setVariableInstanceId(String variableInstanceId)